function fImportar(){
	var StrF=gv("Productos");
	if(jL(StrF)==0){
		return !AF("Seleccione el archivo que desea importar","Productos");
	}
	if(pre("Esta seguro que desea importar?")){
		document.getElementById("bImportar").disabled=true;
		var F=document.getElementById("Productos");
		var strFile=F.value;
		strFile=strFile.trim();
		strFile=strFile.toUpperCase();
		var pos=strFile.indexOf(".XLS");
		if(pos==-1){
			document.getElementById("bImportar").disabled=false;
			return !AF("El archivo debe ser un archivo excel 2003 (.xls)","Productos");		
		}
		var StrFile = F.files[0];
		if(StrFile.size>1048576*3){
			document.getElementById("bImportar").disabled=false;
			return !AF("El tamaño del archivo no debe ser superior a 3MB","Productos");
			
		}
		SM("IMPORTAR_RNR");
	}
}
//
function fArchivos(){
	Ow("neu_prov_xls_rnr.php",650,520);		
}
//
function fLimpiar(){
	if(!pre("Esta seguro que desea proceder?")){
		return;
	}
	SM("LIMPIAR");
}
//
function fProcesarDatos(){
	if(!pre("Esta seguro que desea procesar los datos?")){
		return;
	}
	var tr=gv("TxtTR");
	var trq=gv("TxtRQ");
	var toc=gv("TxtTC");
	var i=0;j=0;
	var cbo="";
	var tot_sel=0;
	if(jVal(tr)==0){
		alert("Cero datos a procesar, seleccione e importe el archivo correspondiente");
		return;
	}
	for(i=1;i<=jVal(toc);i++){
		cbo="Cbo"+i.toString();
		if(jL(gv(cbo))>0){
			tot_sel=tot_sel+1;
		}
	}
	if(tot_sel!=trq){
		alert("Se requieren (solo) "+trq+" campos asignados");
		return;
	}
	var sel="";
	var er=0;
	for(i=1;i<=jVal(toc);i++){
		cbo="Cbo"+i.toString();
		if(jL(gv(cbo))>0){
			sel=gv(cbo);
			for(j=1;j<=jVal(toc);j++){
				if(j!=i){
					cbo="Cbo"+j.toString();
					if(jL(gv(cbo))>0){
						if(sel==gv(cbo)){
							alert("El campo "+sel+" ha sido seleccionado mas de una vez");
							er=1;									
							return;
							break;
						}
					}
				}
			}
		}
		if(er==1){
			return;
			break;
		}
	}
	SM("PROCESAR_RNR");
}
